Package com.trilead.ssh2.crypto.digest

## Class MAC

- java.lang.Object
- - com.trilead.ssh2.crypto.digest.MAC

    public final class MAC
    extends java.lang.Object

MAC.

### Constructor Summary

Constructors
`MAC​(java.lang.String type, byte[] key)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `checkMacList​(java.lang.String[] macs)`
`static int` `getKeyLen​(java.lang.String type)`
`void` `getMac​(byte[] out, int off)`
`static java.lang.String[]` `getMacList()`
`void` `initMac​(int seq)`
`int` `size()`
`void` `update​(byte[] packetdata, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MAC

    public MAC​(java.lang.String type,
               byte[] key)

### Method Detail

#### getMacList

    public static final java.lang.String[] getMacList()

#### checkMacList

    public static final void checkMacList​(java.lang.String[] macs)

#### getKeyLen

    public static final int getKeyLen​(java.lang.String type)

#### initMac

    public final void initMac​(int seq)

#### update

    public final void update​(byte[] packetdata,
                             int off,
                             int len)

#### getMac

    public final void getMac​(byte[] out,
                             int off)

#### size

    public final int size()